# Retrieve list of shipments called with the API, that usages have a minimum resolution of a month (you cant select the usage for one  week for example, the usage will automatically be for the month of the week provided)

> Container Tracking API, GET /shipment-usage: Retrieve list of shipments called with the API, that usages have a minimum resolution of a month (you cant select the usage for one  week for example, the usage will automatically be for the month of the week provided).

`GET /shipment-usage` on the Container Tracking API. Base URL: `https://api.sinay.ai/container-tracking/api/v2`.

## Query parameters

::api-parameters{location="query"}
| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `startTime` | string (date-time) | No | Start time at which usages must be found. |
| `endTime` | string (date-time) | No | End time at which usages must be found. |
| `periodicity` | any | No | — |
::

## Responses

::api-response
---
status: "200"
description: Usage has been recovered
---

Body: `application/json`, object.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `apis` | object | No | — |
| `apis.<key>` | object | No | — |
| `apis.<key>.periodicUsages` | object | No | — |
| `apis.<key>.periodicUsages.<key>` | object | No | — |
| `apis.<key>.periodicUsages.<key>.consumedShipment` | integer (int32) | Yes | — |
| `apis.<key>.periodicUsages.<key>.consumedShipmentList` | array of string | Yes | — |

::

::api-response
---
status: "401"
description: The authentication failed
---

Body: `application/json`, object.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `errorCode` | integer (int32) | Yes | — |
| `message` | string | Yes | — |
| `details` | array of string | Yes | — |
| `time` | string (date-time) | Yes | — |

::

::api-response
---
status: "500"
description: An error occurred on server side
---

Body: `application/json`, object.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `errorCode` | integer (int32) | Yes | — |
| `message` | string | Yes | — |
| `details` | array of string | Yes | — |
| `time` | string (date-time) | Yes | — |

::

::api-response
---
status: default
description: default
---

Body: `application/json`, object.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `errorCode` | integer (int32) | Yes | — |
| `message` | string | Yes | — |
| `details` | array of string | Yes | — |
| `time` | string (date-time) | Yes | — |

::
